import pandas as pd

def create_pivot(df,values,index,columns,func):
    """
    This function will create pivot table.
    :param df: Name of dataframe in which pivot is to be applied
    :param values: This would contain column name for which values will be taken to pivot
    :param index: This would contain column name/s for the columns which would be index of pivot table
    :param columns: This could contain column name for the column name in pivot table
    :param func: it would require numpy functions(e.g. np.sum, np.mean etc) which would calculate values for columns accordingly
    :return: It would return a dataframe converted from pivoted table
    """

    pivot = pd.pivot_table(df,values=values,index=index,columns=columns,aggfunc=func).reset_index()
    df_pivot_dict = pd.DataFrame(pivot)

    return df_pivot_dict